#pragma once

#include "../../LibQtGeoViewerCore/GeomObject.h"

#include "..\GeomFileReader.h"



namespace lib_geo
{

class ObjMesh;

}


class ObjLoader : public GeomFileReader
{
public:
	virtual geom::GeomObject* LoadGeom(SceneMain& scene, const std::string& filename);

private:
	void InitTextureFromObjMeshBuf(SceneMain& scene, geom::MeshBuf& mbuf, const lib_geo::ObjMesh& obj_mesh);
	std::string GetTextureNameFromFilePath(const std::string& filepath) const;
};
